
Figure - Bug #118267
【IOVDEV-30290】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【设置】副屏连接蓝牙键盘，键
盘26个字母按键失灵，同一蓝牙键盘设备，连接笔记本电脑，蓝牙键盘按键功能正常
2023-05-26 13:54 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-26

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0082.C101��【副屏版本号】：01.00.0100.c103

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230524 17：02

【前提条件】：副屏上电，中控已连接

【操作步骤】

1.副屏连接蓝牙键盘，验证蓝牙键盘输入功能

2.笔记本连接相同的蓝牙键盘，验证蓝牙键盘输入功能

【实际结果】

1.副屏连接蓝牙键盘，键盘26个字母按键失灵

2.笔记本连接同一蓝牙键盘，蓝牙键盘输入功能正常

【期望结果】

1.副屏连接蓝牙键盘，蓝牙键盘输入功能正常

【备注】：

【当前开机次数】：127

【应用版本】：

【硬件版本号】：

VIN:HRYTTESTVINMGM401

【中控版本号】：03.02.0082.C101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-26 13:55 - CDTS_Test 吴诗雨

SensenWang：

尝试切换搜狗输入法跟Android键盘依然不行

#2 - 2023-05-26 15:22 - CD FW-廖涛

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨
■ Current conclusion

我这边测试，两个蓝牙键盘都表现正常，没有出现无法输入的情况。

备注：

最新集成的百度输入法，在其面板打开的情况下，是会拦截所有外接（包括蓝牙）键盘输入的。

■ Next action

联系客户换个键盘试试，如果可以，那应该是键盘模式或兼容性问题。

#3 - 2023-05-27 14:50 - CDTS_Test 吴诗雨

已同步，待客户确认

#4 - 2023-06-02 18:30 - CDTS_Test 吴诗雨

使用的蓝牙键盘设备型号：lofree：EH1125   26个字母按键失灵

使用苹果键盘设备型号：A1644    只能输入英文，不能中英文切换

#5 - 2023-06-03 15:13 - CD TEST-方永红

6.3

为不兼容问题、客户确认中

#6 - 2023-06-07 19:41 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-廖涛

客户回复：使用蓝牙键盘设备型号：lofree：EH1125   在安卓平板上面功能是正常的。在副屏上面26个字母按键失灵

#7 - 2023-06-07 20:02 - CDTS_Test 吴诗雨

已同步客户，待客户复现后上传蓝牙日志

#8 - 2023-06-08 11:27 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

■ My analysis

从日志中看，上层只收到数字输入的相关事件，没有收到和字母相关的输入事件。日志如下：

05-24 17:02:29.949 17213 17213 D ViewTouchDebug: mView : DecorView@d1f7fc2[SearchActivity]Receive event : KeyEvent { action=ACTION_DOWN,

keyCode=KEYCODE_NUMPAD_4, scanCode=75, metaState=META_NUM_LOCK_ON, flags=0x8, repeatCount=0, eventTime=3283674, downTime=3283674,
deviceId=10, source=0x301, displayId=-1 }

05-24 17:02:29.950 17751 17751 D ImeService: onKeyDown:keyCode:148 event:KeyEvent { action=ACTION_DOWN, keyCode=KEYCODE_NUMPAD_4,

scanCode=75, metaState=META_NUM_LOCK_ON, flags=0x8, repeatCount=0, eventTime=3283674, downTime=3283674, deviceId=10, source=0x301, displayId=-1 }

05-24 17:02:29.950 17751 17751 D ImeService: onKeyDown return super:false

05-24 17:02:29.968 17213 17213 I settings_latency: [1,15]

05-24 17:02:29.982 17213 17213 D ViewTouchDebug: mView : DecorView@d1f7fc2[SearchActivity]Receive event : KeyEvent { action=ACTION_UP,

keyCode=KEYCODE_NUMPAD_4, scanCode=75, metaState=META_NUM_LOCK_ON, flags=0x8, repeatCount=0, eventTime=3283709, downTime=3283674,

deviceId=10, source=0x301, displayId=-1 }

05-24 17:02:29.982 17751 17751 D ImeService: onKeyUp:keyCode:148 event:KeyEvent { action=ACTION_UP, keyCode=KEYCODE_NUMPAD_4, scanCode=75,

metaState=META_NUM_LOCK_ON, flags=0x8, repeatCount=0, eventTime=3283709, downTime=3283674, deviceId=10, source=0x301, displayId=-1 }

■ Next action

客户复现现象，抓取蓝牙日志，先让 LC 的同学帮忙分析下键盘是否有发送字母输入相关事件。

#9 - 2023-07-17 17:11 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户最新通知：副屏取消蓝牙键盘和鼠标的需求，可以连接，但不承诺任何适配和功能

#10 - 2023-07-17 17:11 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#11 - 2023-07-17 17:12 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

052403.tar.gz 8.97 MB 2023-05-26 CDTS_Test 吴诗雨

b5bf4d1f-7147-41dd-aecc-4e7d59508bad.jpg 109 KB 2023-05-26 CDTS_Test 吴诗雨

video(95).mp4 5.13 MB 2023-05-26 CDTS_Test 吴诗雨

video(96).mp4 4.65 MB 2023-05-26 CDTS_Test 吴诗雨
